<?php
 namespace VnChocola\Module\Floormanager;
 use TCMS\Module;
 use Route;
 use LayoutData;
 class FloorManagerSetting extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/setting', 'IndexController', 'index')->name('index');
 }
 public function registerComponent() {
 \Model::add('FloorManagerSettingModel', \VnChocola\Model\FloorManagerSettingModel::class, true);
 }
 public function boot() {
 }
 public function middleware(string $routeName, $auth) {
 return $auth->hasRole(\RoleGlobal::$role->settingFloorManager);
 }
 }
